<flexextractor version = "1.0" description = "FlexExtractor config file to generate the LHCLogging data file for PVSS" >	

	<input type = "XML_XPATH">
		<source name = "loggingItem" parameter = "/lhcLoggingItems/lhcLoggingItem">
			<data name = "alias" select = "./alias/text()" />
			<data name = "deviceType" select = "./deviceType/text()" />
			<data name = "dpe" select = "./dpe/text()" />
			<data name = "name" select = "./name/text()" />
			<data name = "description" select = "./description/text()" />
			<data name = "hierarchy" select = "./hierarchy/text()" />
			<data name = "format" select = "./format/text()" />
			<data name = "archive" select = "./archive/text()" />
		</source>
	</input>	

	<output ordergenerate="ascend">
		
		<section ordergenerate="ascend" head="{archive}&#10;" joinhead="" joingenerate="" generate="&#9;dpe={dpe}&#10;&#9;&#9;alias={alias}&#10;&#9;&#9;name={name}&#10;&#9;&#9;description={description}&#10;&#9;&#9;hierarchy={hierarchy}&#10;&#9;&#9;format={format}&#10;" />
		
	</output>


</flexextractor>